classes

## Class CpsNode

- java.lang.Object
- - classes.AbstractCpsObject
  - - classes.CpsNode

    public class CpsNode
    extends AbstractCpsObject

The class "CpsNode" represents empty Objects in the system. They are just nodes between Objects

Author:
  Gruppe14

### Constructor Summary

Constructors
Constructor and Description
`CpsNode(java.lang.String objName)` Create a new node in the system with an user-defined name.

### Method Summary

### Methods inherited from class classes.AbstractCpsObject

`addConnection, addPseudoTag, addTag, getBorderColor, getConnectedTo, getConnections, getID, getImage, getName, getObjName, getPosition, getPseudoTags, getSav, getTag, resetTags, setBorderColor, setConnections, setID, setImage, setName, setObjName, setPosition, setPosition, setPseudoTags, setSav, setTags`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CpsNode

    public CpsNode(java.lang.String objName)

Create a new node in the system with an user-defined name.

Parameters:
  `objName` - String